GetDP(1)

NAME
GetDP - a General environment for the treatment of Discrete Problems

SYNOPSIS
getdp file [option(s)]

DESCRIPTION
GetDP is a scientific computation software for the numerical solution of integro-differential equations, using finite element and integral type methods. GetDP is command-line driven, has no graphical interface, and works by reading user-written ASCII files containing the discrete problems definitions, expressed in a way close to their mathematical formulations.

WARNING
This man page does not describe the syntax of the ASCII input files: you should refer to the info documentation for this (e.g. with info getdp). Various versions of the Texinfo manual (html, postscript, pdf) are available at http://www.geuz.org/getdp/.

OPTIONS
Here is a description of the most common arguments accepted by GetDP on the command line:

file
    is an ASCII file containing the problem definition, i.e. the structures the Texinfo documentation will teach you to create. This file can include other files, so that only one problem definition file should always be given on the command line. The input files containing the problem definition structure are usually given the .pro extension (if so, there is no need to specify the extension on the command line). The name of this file (without the extension) is used as a basis for the creation of intermediate files during the pre-processing and the processing stages.

-pre resolution-id
    performs the pre-processing associated with the resolution called resolution-id. In the pre-processing stage, GetDP creates the geometric database (from the mesh file), identifies the degrees of freedom (the unknowns) of the problem and sets up the constraints on these degrees of freedom. The pre-processing creates a file with a .pre extension. If resolution-id is omitted, the list of available choices is displayed.

-cal
    performs the processing. This requires that a pre-processing has been performed previously, or that a -pre option is given on the same command line. The performed resolution is the one given as an argument to the -pre option. In the processing stage, GetDP executes all the operations of the selected resolution (such as matrix assemblies, system resolutions, ...). The processing creates a file with a .res extension.

-pos post-operation-id(s)
    performs the post-processing operations selected by the post-operation-id(s). This requires that a processing has been performed previously, or that a -cal option is given on the same command line. If post-operation-id is omitted, the list of available choices is displayed.

-ipos post-processing-id(s)
    enters an interactive post-processing mode, permitting to enter post-processing operations manually. If no post-processing-id(s) is (are) given, the list of available choices is displayed.

-msh filename
    reads the mesh database from filename rather than reading it from the default problem file name with the .msh extension appended.

-split
    saves processing results in separate files (one for each timestep).

-res filename(s)
    loads processing results from filename(s) instead of from the default problem file name with the .res extension appended.

-name string
    uses string as the default generic file name for input or output of mesh, pre-processing and processing files.

-adapt filename(s)
    reads adaptation constraints from filename(s).

-degree float
    specifies maximum interpolation degree.

-log
    saves all processing history in a log file (the input file name with an appended .log extension).

-socket string
    communicates through socket string.

-check
    lets you check the problem structure interactively.

-v int
    sets the verbosity level. A value of 0 means that no information will be displayed during the processing. Higher values increase the amount of information displayed during processing.

-p int
    sets the progress update rate. This controls the refreshment rate of the counter indicating the progress of the current computation.

-info
    displays the version information.

-version
    displays the version number.

-help
    displays a message listing basic usage and available options.

AUTHORS
Patrick Dular (Patrick.Dular@ulg.ac.be) and Christophe Geuzaine (Christope.Geuzaine@ulg.ac.be). Many additions by many other people (see the documentation for a comprehensive list of collaborators).

SEE ALSO
gmsh(1),
GetDP examples (/usr/share/doc/getdp-*/),
GetDP homepage (http://www.geuz.org/getdp/).

The full documentation for GetDP is maintained as a Texinfo manual. If the info and getdp programs are properly installed at your site, the command

    info getdp

should give you access to the complete manual.